%{!?_httpd_apxs: %{expand: %%global _httpd_apxs %%{_sbindir}/apxs}}
%{!?_httpd_mmn: %{expand: %%global _httpd_mmn %%(cat %{_includedir}/httpd/.mmn || echo missing-httpd-devel)}}
%{!?_httpd_confdir:    %{expand: %%global _httpd_confdir    %%{_sysconfdir}/httpd/conf.d}}
%{!?_httpd_moddir:     %{expand: %%global _httpd_moddir     %%{_libdir}/httpd/modules}}

Name:		mod_proxy_wstunnel
Version:	0.1
Release:	0.beta1%{?dist}
Summary:	Websockets proxy module for Apache

Group:		System Environment/Daemons
License:	Apache
URL:		https://gist.github.com/bodgit/80a2fb09170596589a03
Source0:	mod_proxy_wstunnel.c
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	httpd-devel
Requires:	httpd-mmn = %{_httpd_mmn}

%description
Websockets proxy module for Apache


%prep
%setup -q -c -T
%{__install} %{SOURCE0} .


%build
%{_httpd_apxs} -Wc,-Wall -c %{name}.c


%install
%{__rm} -rf %{buildroot}
%{__install} -D -p -m 0755 .libs/%{name}.so %{buildroot}%{_httpd_moddir}/%{name}.so

cat << EOF >proxy_wstunnel.conf
LoadModule proxy_wstunnel_module modules/mod_proxy_wstunnel.so
EOF

%{__install} -D -p -m 644 proxy_wstunnel.conf %{buildroot}%{_httpd_confdir}/proxy_wstunnel.conf


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc
%{_httpd_moddir}/%{name}.so
%config(noreplace) %{_httpd_confdir}/proxy_wstunnel.conf


%changelog
* Wed Aug 06 2014 Matt Dainty <matt@bodgit-n-scarper.com> 0.1-1
- Initial version 0.1.
